# PSF-LoginServer - master - net.psforever.objects.definition.converter.ObjectCreateConverter
PSF - LoginServer - master - net.psforever.objects.definition.converter.ObjectCreateConverter
Keywords: PSF LoginServer master net.psforever.objects.definition.converter.ObjectCreateConverter

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- ACEConverter
- AmmoBoxConverter
- AvatarConverter
- BoomerTriggerConverter
- CaptureFlagConverter
- CharacterSelectConverter
- CommandDetonaterConverter
- CorpseConverter
- DestroyedVehicleConverter
- DroppodConverter
- FieldTurretConverter
- InternalTelepadDeployableConverter
- KitConverter
- LockerContainerConverter
- ObjectCreateConverter
- OrbitalShuttleConverter
- PacketConverter
- ProjectileConverter
- REKConverter
- SeatConverter
- ShieldGeneratorConverter
- SmallDeployableConverter
- SmallTurretConverter
- SpawnTubeConverter
- StatConverter
- TRAPConverter
- TelepadConverter
- TelepadDeployableConverter
- TerminalConverter
- ToolConverter
- UtilityVehicleConverter
- VariantVehicleConverter
- VehicleConverter

c

net.psforever.objects.definition.converter

# ObjectCreateConverter

###

#### abstract class ObjectCreateConverter[A <: PlanetSideGameObject] extends PacketConverter

A converter that accepts an object and prepares it for transformation into an `0x17` packet or an `0x18` packet. This is the decoded packet form of the game object, as if hexadecimal data from a packet was decoded.

A

  the type of game object

Source
  PacketConverter.scala

Linear Supertypes
PacketConverter, AnyRef, Any
Known Subclasses
ACEConverter, AmmoBoxConverter, AvatarConverter, BoomerTriggerConverter, CaptureFlagConverter, CharacterSelectConverter, CommandDetonaterConverter, CorpseConverter, DestroyedVehicleConverter, DroppodConverter, FieldTurretConverter, InternalTelepadDeployableConverter, KitConverter, LockerContainerConverter, OrbitalShuttleConverter, ProjectileConverter, REKConverter, ShieldGeneratorConverter, SmallDeployableConverter, SmallTurretConverter, SpawnTubeConverter, TRAPConverter, TelepadConverter, TelepadDeployableConverter, TerminalConverter, ToolConverter, UtilityVehicleConverter, VariantVehicleConverter, VehicleConverter

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectCreateConverter
2. PacketConverter
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ObjectCreateConverter()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ConstructorData(obj: A): Try[ConstructorData]

   Take a game object and transform it into its equivalent data for an `0x17` packet.

   Take a game object and transform it into its equivalent data for an `0x17` packet.

   obj

     the game object

   returns

     the specific `ConstructorData` that is equivalent to this object

5.  def DetailedConstructorData(obj: A): Try[ConstructorData]

   Take a game object and transform it into its equivalent data for an `0x18` packet.

   Take a game object and transform it into its equivalent data for an `0x18` packet.

   obj

     the game object

   returns

     the specific `ConstructorData` that is equivalent to this object

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from PacketConverter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped